#
# spec file for package kdialog (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdialog
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      A KDE "dialog" replacement
Version:      0.2
Release:      286
Source0:      kdialog-0.2.tar.bz2
Patch0: kdialog-0.2.dif

%description
A KDE "dialog" replacement. For documentation see 'man dialog'.
Example
kdialog --yesno "Should I really do it?"

Authors:
--------
    Matthias Hoelzer <hoelzer@physik.uni-wuerzburg.de>

SuSE series: k2de

%prep
%setup -n kdialog-0.2
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  
touch ./kdialog/Makefile.in --reference=./acinclude.m4
touch ./po/de/Makefile.in --reference=./acinclude.m4
touch ./po/Makefile.in --reference=./acinclude.m4
touch ./Makefile.in --reference=./acinclude.m4
make

%install
make install

%files
%doc AUTHORS COPYING INSTALL NEWS README 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/kdialog
/opt/kde2/bin/kframe
/opt/kde2/share/locale/de/LC_MESSAGES/kdialog.mo
/opt/kde2/share/locale/de/LC_MESSAGES/kframe.mo

%changelog -n kdialog
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 has no chance to fail now
* Wed Apr 11 2001 - schwab@suse.de
- Fix missing declarations.
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sat Nov 04 2000 - adrian@suse.de
- New version 0.2 (KDE 2)
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from kdialog-0.1.tgz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Feb 01 2000 - ro@suse.de
- fixed configure
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Wed Mar 17 1999 - autospec
- Recreated spec file from kdialog-0.1.tgz using autospec script by kettner@suse.de
